#ifndef LIGHTS_H
#define LIGHTS_H

#include <qcolor.h>
#include <qwidget.h>

class Lights : public QWidget
{
    Q_OBJECT

public:
    Lights(QWidget *parent);

    QColor color() const { return m_color; }
    int diameter() const { return m_diameter; }
    QSize sizeHint() const;

public slots:
    void setDiameter(int diameter);

signals:
    void changed(QColor);

protected:
    void mousePressEvent(QMouseEvent *event);
    void paintEvent(QPaintEvent *);

private:
    QPixmap generatePixmap();

    QColor m_color;
    int m_diameter;
};

#endif
